<?php

namespace App\Filament\Resources\BookingResource\Pages;

use App\Filament\Resources\BookingResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;

class EditBooking extends EditRecord
{
    protected static string $resource = BookingResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make(),
        ];
    }

    protected function getActions(): array
    {
        return [
            Actions\Action::make('reasign_computer')
                ->label('Reasign Computer')
                ->action(function ($record) {
//                    Lógica para reasignar terminal, tal vez un modal o un dropdown
//                    return redirect()->route('terminal.reassign', ['booking' => $record->id]);
                }),
        ];
    }
}
